Bug 1473622 - (CVE-2017-7539) CVE-2017-7539 Qemu: qemu-nbd crashes due to undefined I/O coroutine
CVE-2017-7539 Qemu: qemu-nbd crashes due to undefined I/O coroutine
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170602,repor...
: Security
Depends On: 1473627 1467509 1473624 1473625 1473628 1473629 1473630 1473631 1473632 1473633 1473634 1473638
Blocks: 1472118 1520687
  Show dependency treegraph
 
Reported: 2017-07-21 06:31 EDT by Prasad J Pandit
Modified: 2017-12-14 17:25 EST (History)
42 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An assertion-failure flaw was found in the Network Block Device (NBD) server's initial connection negotiation, where the I/O coroutine was undefined. This could crash the qemu-nbd server if a client sent unexpected data during connection negotiation. A remote user or process could use this flaw to crash the qemu-nbd server resulting in denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2017-07-21 06:31:30 EDT
Quick Emulator(Qemu) built with the Network Block Device(NBD) Server support
is vulnerable to a crash via assertion failure. It could occur if a client sent
undue data during initial connection negotiation.

A remote user/process could use this flaw to crash the qemu-nbd server
resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=2b0bbc4f8809c972bad134bc1a2570dbb01dea0b

Introduced by:
--------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=ff82911cd3f69f028f2537825c9720ff78bc3f19

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/07/21/4
Comment 1 Prasad J Pandit 2017-07-21 06:33:16 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1473625]
Comment 2 Prasad J Pandit 2017-07-21 06:33:41 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1473624]
Comment 6 errata-xmlrpc 2017-09-05 07:53:49 EDT
This issue has been addressed in the following products:

  RHEV 3.X Hypervisor and Agents for RHEL-7
  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2628 https://access.redhat.com/errata/RHSA-2017:2628
Comment 9 errata-xmlrpc 2017-12-14 17:15:44 EST
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2017:3471 https://access.redhat.com/errata/RHSA-2017:3471
Comment 10 errata-xmlrpc 2017-12-14 17:17:50 EST
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:3470 https://access.redhat.com/errata/RHSA-2017:3470
Comment 11 errata-xmlrpc 2017-12-14 17:19:56 EST
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 11.0 (Ocata)

Via RHSA-2017:3466 https://access.redhat.com/errata/RHSA-2017:3466
Comment 12 errata-xmlrpc 2017-12-14 17:21:54 EST
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:3474 https://access.redhat.com/errata/RHSA-2017:3474
Comment 13 errata-xmlrpc 2017-12-14 17:23:47 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2017:3472 https://access.redhat.com/errata/RHSA-2017:3472
Comment 14 errata-xmlrpc 2017-12-14 17:25:37 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2017:3473 https://access.redhat.com/errata/RHSA-2017:3473

Note You need to log in before you can comment on or make changes to this bug.